### Hierarchy

- IModelOperationData
  - ICompoundOperationData
  - IModelDiscreteOperationData

## Index

### Properties

- type

## Properties

### type

type: "string_insert" | "string_remove" | "string_set" | "array_insert" | "array_remove" | "array_replace" | "array_move" | "array_set" | "object_set_property" | "object_add_property" | "object_remove_property" | "object_set" | "number_delta" | "number_set" | "boolean_set" | "date_set" | "compound"